Skip to main content
GET
/
v0
/
pages
/
search
Search pages
curl --request GET \
  --url https://api.tryarchitect.com/v0/pages/search \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "audiencesCount": 4503599627370495,
      "name": "<string>",
      "pageId": "<string>",
      "pageType": "inbound"
    }
  ]
}
Search for pages using a text query, returning a list of pages that match the search query sorted by relevancy. This endpoint provides flexible page discovery capabilities across your entire page structure. Search Behavior: Only the direct content of the Pages is searched. Any references that the Page might include are ignored during search, but references are still included in the response based on the levels parameter provided. Pages are returned sorted by relevancy to the search query. Page Type Filtering: You can optionally limit your search to a specific page type, or search only Single Pages using * as the page type parameter. Empty Results: If no results are found, the API returns an empty array: "data": [] See also: Architecture & Performance for guidance on levels, pagination, and performance best practices.

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Query Parameters

limit
number

limit parameter

query
string

query parameter

Response

200 - application/json

Successful operation

items
object[]
required